-module(test).

-export([test/0, test2/0]).

test() ->
  Timestamp_Now = erlang:system_time(second),
  L = lists:seq(1, 15),
  [myapp_events:add_task(integer_to_list(X), X, dynamic, X + 10) || X <- L, X rem 2 =:= 0],
  [myapp_events:add_task(integer_to_list(X), X, static, Timestamp_Now + X + 5) || X <- L, X rem 2 =:= 1],
  
  spawn(fun() ->
    timer:sleep(3000),
    
    myapp_events:add_task("12", 12, dynamic, 50),
    myapp_events:add_task("13", 13, static, Timestamp_Now + 80),
    
    myapp_events:delete_task("9", 9),
    myapp_events:delete_task("14", 14),
    
    ok
  end),
  
  ok.


test2() ->
  Timestamp_Now = erlang:system_time(second),
  L = lists:seq(1, 15),
  [myapp_events2:add_task(integer_to_list(X), X, dynamic, X + 10) || X <- L, X rem 2 =:= 0],
  [myapp_events2:add_task(integer_to_list(X), X, static, Timestamp_Now + X + 5) || X <- L, X rem 2 =:= 1],
  
  spawn(fun() ->
    timer:sleep(3000),
    
    myapp_events2:add_task("12", 12, dynamic, 50),
    myapp_events2:add_task("13", 13, static, Timestamp_Now + 80),
    
    myapp_events2:delete_task("9", 9),
    myapp_events2:delete_task("14", 14),
    
    ok
  end),
  
  ok.



